# Record TCefLinuxWindowProperties

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefLinuxWindowProperties = record`

## Description

Linux window properties, such as X11's WM_CLASS or Wayland's app_id. Those are passed to CefWindowDelegate, so the client can set them for the CefWindow's top-level. Thus, allowing window managers to correctly display the application's information (e.g., icons).

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_linux_window_properties_t))

## Overview

### Fields

| `size: NativeUInt;`
| `wayland_app_id: TCefString;`
| `wm_class_class: TCefString;`
| `wm_class_name: TCefString;`
| `wm_role_name: TCefString;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `wayland_app_id: TCefString;`
Main window's Wayland's app_id

| `wm_class_class: TCefString;`
Main window's WM_CLASS_CLASS in X11

| `wm_class_name: TCefString;`
Main window's WM_CLASS_NAME in X11

| `wm_role_name: TCefString;`
Main window's WM_WINDOW_ROLE in X11

Generated by PasDoc 0.16.0-snapshot.